<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Sign-up Form</title>
    <script src="js/signup.js"></script>
</head>

<body>
    <div class="container-sm jumbotron col-sm-4">
        <div class="container">
            <h3 class="text-center">Sign up form</h3>
            <p>Please fill in this form to create an account</p>

            <form class="form-sm">
                <input id="inp-username" type="text" class="form-control mb-3" placeholder="Username" required>
                <input id="inp-email" type="email" class="form-control mb-3" placeholder="Email" required>
                <input id="inp-password" type="password" class="form-control mb-3" placeholder="Password" required>
                <input id="inp-confirm-password" type="password" class="form-control mb-3" placeholder="Confirm Password" required>

                <div class="form-check mb-3">
                    <input type="checkbox" class="form-check-input" id="termsCheck" required>
                    <label class="form-check-label" for="termsCheck">I accept the Term of use & privacy policy</label>
                </div>

                <button type="submit" class="btn btn-primary w-100">Sign up</button>
            </form>

        </div>

        <!-- Modal for displaying error messages -->
        <div class="modal fade" id="errorModal" tabindex="-1" role="dialog" aria-labelledby="errorModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="errorModalLabel">Error</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <!-- Error message goes here -->
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>